<?php

namespace Drupal\delay_submit\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Controller for handling warning messages and logging attempts.
 */
class DelaySubmitController extends ControllerBase {

  /**
   * Displays a warning message via AJAX.
   */
  public function showWarning() {
    $config = \Drupal::config('delay_submit.settings');
    $warning_message = $config->get('warning_message') ?? $this->t('Please wait before clicking again.');
    
    \Drupal::messenger()->addWarning($warning_message);

    return new JsonResponse(['status' => 'message_displayed']);
  }

  /**
   * Logs a rapid click attempt.
   */
  public function logAttempt() {
    \Drupal::logger('delay_submit')->warning('A user attempted to click the submit button too quickly.');
    return new JsonResponse(['status' => 'logged']);
  }
}
